Skip to main content

V2

This topic shows information relevant specifically for Subscribe REST API version 20210401 referred to as V2 Retrieves a list of Discount Tickets. This can be used to get a list of Discount Tickets per a Subscription or per a given Account. Note: The call returns all redeemed and active discount tickets by default. Use Fetch all query parameters if discount tickets in other states are also required.

HTTP Request

GET https://api.vindicia.com/discount_tickets?subscription=subscription or GET https://api.vindicia.com/discount_tickets?account=account

Route (URL) Parameters

None.

Query Parameters

Accepts

None.

Returns

JSON - A list array with a data property that contains an array of Discount Tickets per an Account or Subscription, starting after the specified starting_after (or ending before the specified ending_before Discount Ticket). A list of Discount Tickets objects matching the query. Also:
  • “total_count”: Integer count of the number of Discount Tickets in the returned list.
  • “url”: The query string provided in the request
  • “next”: The route (partial URL) to the next Discount Ticket object (string to select the “next”); included id should match that of the last object returned here
  • “previous”: The route (partial URL) to the previous Discount Ticket object (string to select the “previous”); included id should match that of the first object returned here

Example Request

The above command returns JSON structured like this:
Parent topic:Discount Tickets